Subject: Re: [DNSOP] [Ext] Root reasons (aka "why") - HTTP vs SRV vs ANAME vs CNAME

From: Paul Vixie <[email-masked]>
Date: Wed, 07 Nov 2018 19:57:48 -0800

> On Nov 8, 2018, at 9:38 AM, p vixie <[email-masked]>; wrote:
>>
>> If additional data is optional, so most resolvers can just pass it
>> through, the DNS techs will say yes but the HTTP techs will say
>> no.
>
> We have a bad track record of predicting what other groups will want
> from the DNS or use it for. Specifying what "HTTP techs" will say
> seems premature before a fully-fleshed proposal is taken to them.

are you thinking i made that part up?

did you not notice when they rejected SRV for two decades, or what 
reason they gave?

(hint: "i solved the wildcard problem you weren't worried about, but the 
browser will still have to ask two questions on first reference, to get 
the cache populated, and additional data will only be included if the 
resolver has been upgraded to recognize this type code"... will not 
change the answer they gave to SRV.)

feels a bit like ground-hog day in here.

-- 
P Vixie